# diagrams.net for YunoHost

[![Integration level](https://dash.yunohost.org/integration/diagramsnet.svg)](https://dash.yunohost.org/appci/app/diagramsnet) ![](https://ci-apps.yunohost.org/ci/badges/diagramsnet.status.svg) ![](https://ci-apps.yunohost.org/ci/badges/diagramsnet.maintain.svg)  
[![Install diagramsnet with YunoHost](https://install-app.yunohost.org/install-with-yunohost.svg)](https://install-app.yunohost.org/?app=diagramsnet)

> *This package allow you to install diagrams.net quickly and simply on a YunoHost server.  
If you don't have YunoHost, please see [here](https://yunohost.org/#/install) to know how to install and enjoy it.*

## Overview

diagrams.net (formerly draw.io) lets you create a wide range of diagrams, from simple tree and flow diagrams, to highly technical network, rack and electrical diagrams.

**Shipped version:** 14.4.4

## Screenshots

![Exemple de diagramme](home-dia1.svg)

## Demo

* [Official demo](https://app.diagrams.net/)

## Documentation

* Official documentation: <https://www.diagrams.net/doc>

## YunoHost specific features

* Disable third party website integration with Dropbox, Google, Trello, etc

### Supported architectures

* x86-64 - [![Build Status](https://ci-apps.yunohost.org/ci/logs/diagramsnet%20%28Apps%29.svg)](https://ci-apps.yunohost.org/ci/apps/diagramsnet/)
* ARMv8-A - [![Build Status](https://ci-apps-arm.yunohost.org/ci/logs/diagramsnet%20%28Apps%29.svg)](https://ci-apps-arm.yunohost.org/ci/apps/diagramsnet/)

## Limitations

* Any known limitations.

## Additional information

* Other information you would add about this application

## Links

* Report a bug: https://github.com/YunoHost-Apps/diagramsnet_ynh/issues
* App website: https://drawio-app.com>
* Upstream app repository: https://github.com/jgraph/drawio
* YunoHost website: https://yunohost.org>

---

## Developers info

Please do your pull request to the [testing branch](https://github.com/YunoHost-Apps/diagramsnet_ynh/tree/testing).

To try the testing branch, please proceed like that.

```bash
sudo yunohost app install https://github.com/YunoHost-Apps/diagramsnet_ynh/tree/testing --debug
or
sudo yunohost app upgrade diagramsnet -u https://github.com/YunoHost-Apps/diagramsnet_ynh/tree/testing --debug
```
